﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HideRowSelectors
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Infragistics.Win.AppStyling.StyleManager.Load("Office2007Black.isl");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetData();

        }

        public DataSet GetData()
        {
            DataSet ds = new DataSet();

            string[] names = { "Peter", "Maria", "John", "Vladimir", "Gustavo" };

            DataTable ct = new DataTable("CustomersTable");
            var keys = new DataColumn[1];

            ct.Columns.Add("CustomerID", typeof(int));
            ct.Columns.Add("Name", typeof(string));
            ct.Columns.Add("Date", typeof(DateTime));

            for (int i = 0; i < 5; i++)
            {
                var row = ct.Rows.Add();
                row[0] = i + 1;
                row[1] = names[i];
                row[2] = DateTime.Now.AddDays(i * 2);
            }
            keys[0] = ct.Columns["CustomerID"];

            ct.PrimaryKey = keys;

            DataTable ordersTable = new DataTable("OrdersTable");
            var orderKeys = new DataColumn[2];

            ordersTable.Columns.Add("CustomerID", typeof(int));
            ordersTable.Columns.Add("OrderID", typeof(int));
            ordersTable.Columns.Add("Date", typeof(DateTime));


            foreach (DataRow customerRow in ct.Rows)
            {
                DataRow row = ordersTable.NewRow();

                for (int i = 0; i < 4; i++)
                {

                    row = ordersTable.NewRow();

                    row["CustomerId"] = customerRow["CustomerId"];
                    row["OrderID"] = i + 10 * Convert.ToInt32(customerRow["Customerid"]);
                    DateTime date = (DateTime)customerRow["Date"];
                    row["Date"] = date.AddDays(i * 3);
                    ordersTable.Rows.Add(row);
                }
            }


            ds.Tables.Add(ct);
            ds.Tables.Add(ordersTable);
            DataRelation relCustOrder = new DataRelation("CustOrder",
                ds.Tables["CustomersTable"].Columns["CustomerId"],
                ds.Tables["OrdersTable"].Columns["CustomerId"]);
            ds.Relations.Add(relCustOrder);

            return ds;

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.ultraGrid1.DisplayLayout.Override.RowSelectors.Equals(Infragistics.Win.DefaultableBoolean.False))
                this.ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            else this.ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
        }
    }
}
